<template>
  <div id="assortmentPage">
    <template
      v-for="content in pageContent"
      :key="content.index"
    >
      <header-assortment
        v-if="content.type === 'banner'"
        :anchors="content.anchors"
        :title="content.name"
        :type-fish="content.subtitle"
        :img="content.image"
      />
      <slider-block
        v-if="content.type === 'products'"
        :id="range_feedId"
        :btn-arrow="false"
        :title="content.title"
        :posttitle="content.subtitle"
        class="assortment-wrapper"
      >
        <template #slide>
          <div
            v-for="feed in content.items"
            :key="feed.id"
            class="block-item feed-block"
          >
            <FeedItem
              :content="feed"
              :btn="content"
            />
          </div>
        </template>
      </slider-block>
      <!-- о категории -->
      <div v-if="content.type === 'text_block'" class="about-category-wr" :class="{show : isShow}">
        <h2 v-html="content.title"></h2>
        <div class="about-category"  v-html="content.text" >
        </div>
        <div class="about-category-btn" @click="isShow = !isShow" v-if="content.btn_text">
          {{isShow ? content.btn_text.collapse : content.btn_text.expand}} <arrowMore color="#fff" />
          </div>
      </div>
      <!-- Преимущества -->
      <div
        :id="advantagesId"
        v-if="content.type === 'advantages'"
      >
        <h2>{{ content.title }}</h2>
        <div class="advantage-wrapper">
          <div
            v-for="adv in content.items"
            :key="adv.id"
            class="advantage-block"
          >
            <advantage :content="adv" />
          </div>
        </div>
      </div>

      <Table
        :id="basic_dataId"
        :content="content"
        v-if="content.type === 'basic_data'"
      />
      <div
        v-if="content.type === 'form'"
        :id="formId"
      >
        <v-form
          :content="content"
          id="forms"
          :messages="messages"
          :page_url="$route.path"
        />
      </div>
    </template>
  </div>
</template>

<script>
import { HTTP, Routes } from '../api/API';

import Advantage from '../components/Advantage.vue';
import FeedItem from '../components/FeedItem.vue';
import HeaderAssortment from '../components/HeaderPageBlock.vue';
import ArrowMore from '../components/icons/arrow-more.vue';
import SliderBlock from '../components/SliderBlock.vue';
import Table from '../components/Table.vue';
import VForm from '../components/VForm.vue';


export default {
  components: {
    Table,
    SliderBlock,
    VForm,
    Advantage,
    HeaderAssortment,
    FeedItem,
    ArrowMore,
  },
  data() {
    return {
      formId: null,
      basic_dataId: null,
      toTop: null,
      advantagesId: null,
      range_feedId: null,
      typeFishUrl: this.$route.params.fishfeeds,
      pageContent: [],
      messages: [],
      isShow: false
    };
  },
  computed: {
  },
  watch: {
  },
  created() {},
  mounted() {
    this.getContent();
  },
  updated() {},
  methods: {
    getContent() {
      HTTP.get(`${Routes.assort}products_section=${this.typeFishUrl}`)
        .then(response => {
          // console.log('response.data.assort: ', response.data.data.content);
          this.messages = response.data.data.messages;
          this.pageContent = response.data.data.content;
          const home = response.data.data.content;
          home.forEach(item => {
            switch (item.type) {
              case 'anchor':
                if (item.code === 'range_feed') {
                  this.range_feedId = item.code;
                } else if (item.code === 'advantages') {
                  this.advantagesId = item.code;
                } else if (item.code === 'top') {
                  this.toTop = item.code;
                } else if (item.code === 'basic_data') {
                  this.basic_dataId = item.code;
                } else if (item.code === 'connect_with_us') {
                  this.formId = item.code;
                }
                break;
              default:
                break;
            }
          });
        })
        .catch(error => {
          console.log(error);
        });
    },
  },
};
</script>

<style></style>
